Package com.mckoi.database.jdbc

## Class SQLLoginException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.mckoi.database.jdbc.SQLLoginException

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

    public class SQLLoginException
    extends java.sql.SQLException

An SQLException that signifies username/password authentication failed.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SQLLoginException()`
`SQLLoginException​(java.lang.String reason)`
`SQLLoginException​(java.lang.String reason, java.lang.String SQLState)`
`SQLLoginException​(java.lang.String reason, java.lang.String SQLState, int vendorCode)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SQLLoginException

    public SQLLoginException​(java.lang.String reason,
                             java.lang.String SQLState,
                             int vendorCode)

#### SQLLoginException

    public SQLLoginException​(java.lang.String reason,
                             java.lang.String SQLState)

#### SQLLoginException

    public SQLLoginException​(java.lang.String reason)

#### SQLLoginException

    public SQLLoginException()